ServerControllerGetServerByName Method |
POST /Server/Name
Gets a server info.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Name")]
public HttpResponseMessage GetServerByName(
[FromBodyAttribute] string name,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Name")>
Public Function GetServerByName (
<FromBodyAttribute> name As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Name")]
HttpResponseMessage^ GetServerByName(
[FromBodyAttribute] String^ name,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Name")>]
member GetServerByName :
[<FromBodyAttribute>] name : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- name
- Type: SystemString
The name of the server. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
ServerInfoData object containing the server info data, or a status code indicating the problem.
See Also